Generate_SSD_SetID {SKAT} | R Documentation

## Generate SNP set data file (SSD)

### Description

Generate a SNP set data file (SSD) from binary plink data files using user specified SNP sets.

### Usage

    	Generate_SSD_SetID(File.Bed, File.Bim, File.Fam, File.SetID,
    	 File.SSD, File.Info, Is.FlipGenotype=TRUE)

### Arguments

`File.Bed` | name of the binary ped file (BED).
`File.Bim` | name of the binary map file (BIM).
`File.Fam` | name of the FAM file (FAM).
`File.SetID` | name of the SNP set ID file that defines SNP sets. The first column must be Set ID, and the second column must be SNP ID. There should be no header!!
`File.SSD` | name of the SSD file generated.
`File.Info` | name of the SSD info file generated.
`Is.FlipGenotype` | internal use only, please do not change

### Details

The SetID file is a white-space (space or tab) delimitered file with 2 columns: SetID and SNP_ID.

Please keep in mind that there should be no header! The SNP_IDs and SetIDs should be less than 50 characters, otherwise, it will return an error message.

The SSD file is a binary formated file with genotypes. The SSD info file is a text file with general information on data and SNP sets (first 6 rows), and information on each set (after 8th row).

### Author(s)

Seunggeun Lee, Larisa Miropolsky

[Package SKAT version 1.3.2.1 Index]